org.apache.commons.io

## Class IOExceptionWithCause

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.io.IOExceptionWithCause

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TaggedIOException

Deprecated.
(since 2.5) use `IOException` instead

    @Deprecated
    public class IOExceptionWithCause
    extends IOException

Subclasses IOException with the `Throwable` constructors missing before Java 6.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IOExceptionWithCause(String message, Throwable cause)` Deprecated. Constructs a new instance with the given message and cause.
`IOExceptionWithCause(Throwable cause)` Deprecated. Constructs a new instance with the given cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IOExceptionWithCause

    public IOExceptionWithCause(String message,
                                Throwable cause)

Deprecated.
Constructs a new instance with the given message and cause.

As specified in `Throwable`, the message in the given `cause` is not used in this instance's message.

Parameters:
  `message` - the message (see `Throwable.getMessage()`)
  `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.

#### IOExceptionWithCause

    public IOExceptionWithCause(Throwable cause)

Deprecated.
Constructs a new instance with the given cause.

The message is set to `cause==null ? null : cause.toString()`, which by default contains the class and message of `cause`. This constructor is useful for call sites that just wrap another throwable.

Parameters:
  `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.